/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __RANDOM_KERN_SKEL_H__
#define __RANDOM_KERN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct random_kern {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *random_choice;
	} progs;
	struct {
		struct bpf_link *random_choice;
	} links;
	struct random_kern__bss {
		int number_of_sockets;
	} *bss;

#ifdef __cplusplus
	static inline struct random_kern *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct random_kern *open_and_load();
	static inline int load(struct random_kern *skel);
	static inline int attach(struct random_kern *skel);
	static inline void detach(struct random_kern *skel);
	static inline void destroy(struct random_kern *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
random_kern__destroy(struct random_kern *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
random_kern__create_skeleton(struct random_kern *obj);

static inline struct random_kern *
random_kern__open_opts(const struct bpf_object_open_opts *opts)
{
	struct random_kern *obj;
	int err;

	obj = (struct random_kern *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = random_kern__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	random_kern__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct random_kern *
random_kern__open(void)
{
	return random_kern__open_opts(NULL);
}

static inline int
random_kern__load(struct random_kern *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct random_kern *
random_kern__open_and_load(void)
{
	struct random_kern *obj;
	int err;

	obj = random_kern__open();
	if (!obj)
		return NULL;
	err = random_kern__load(obj);
	if (err) {
		random_kern__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
random_kern__attach(struct random_kern *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
random_kern__detach(struct random_kern *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *random_kern__elf_bytes(size_t *sz);

static inline int
random_kern__create_skeleton(struct random_kern *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "random_kern";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "random_k.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "random_choice";
	s->progs[0].prog = &obj->progs.random_choice;
	s->progs[0].link = &obj->links.random_choice;

	s->data = random_kern__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *random_kern__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x1a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x19\0\
\x01\0\xb4\0\0\0\xff\xff\xff\xff\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x61\0\
\0\0\0\0\0\x16\x01\x03\0\0\0\0\0\x85\0\0\0\x07\0\0\0\x61\x61\0\0\0\0\0\0\x9c\
\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x01\x11\x01\x25\x25\x13\x05\x03\x25\x72\x17\
\x10\x17\x1b\x25\x11\x1b\x12\x06\x73\x17\0\0\x02\x34\0\x03\x25\x49\x13\x3a\x0b\
\x3b\x0b\0\0\x03\x26\0\x49\x13\0\0\x04\x0f\0\x49\x13\0\0\x05\x15\0\x49\x13\x27\
\x19\0\0\x06\x16\0\x49\x13\x03\x25\x3a\x0b\x3b\x05\0\0\x07\x24\0\x03\x25\x3e\
\x0b\x0b\x0b\0\0\x08\x34\0\x03\x25\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\
\x09\x2e\x01\x11\x1b\x12\x06\x40\x18\x7a\x19\x03\x25\x3a\x0b\x3b\x0b\x27\x19\
\x49\x13\x3f\x19\0\0\x0a\x05\0\x03\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\x0b\x13\x01\
\x03\x25\x0b\x0b\x3a\x0b\x3b\x05\0\0\x0c\x0d\0\x03\x25\x49\x13\x3a\x0b\x3b\x05\
\x38\x0b\0\0\x0d\x0d\0\x49\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x0e\x17\x01\x0b\x0b\
\x3a\x0b\x3b\x05\0\0\x0f\x01\x01\x49\x13\0\0\x10\x21\0\x49\x13\x37\x0b\0\0\x11\
\x24\0\x03\x25\x0b\x0b\x3e\x0b\0\0\x12\x13\x01\x0b\x0b\x3a\x0b\x3b\x05\0\0\0\
\xb8\x03\0\0\x05\0\x01\x08\0\0\0\0\x01\0\x1d\0\x01\x08\0\0\0\0\0\0\0\x02\x01\
\x48\0\0\0\x08\0\0\0\x02\x03\x2b\0\0\0\x02\xc1\x03\x30\0\0\0\x04\x35\0\0\0\x05\
\x3a\0\0\0\x06\x43\0\0\0\x05\x01\x8e\x8f\x07\x04\x07\x04\x08\x06\x52\0\0\0\0\
\x1a\x02\xa1\0\x07\x07\x05\x04\x09\x01\x48\0\0\0\x01\x5a\x08\0\x1d\x52\0\0\0\
\x0a\x09\0\x1d\x6e\0\0\0\0\x04\x73\0\0\0\x0b\x52\xc0\x01\xb9\x9b\x0c\x0a\x3a\0\
\0\0\x01\xba\x9b\0\x0c\x0b\x3a\0\0\0\x01\xbb\x9b\x04\x0c\x0c\x3a\0\0\0\x01\xbc\
\x9b\x08\x0c\x0d\x3a\0\0\0\x01\xbd\x9b\x0c\x0c\x0e\x3a\0\0\0\x01\xbe\x9b\x10\
\x0c\x0f\x3a\0\0\0\x01\xbf\x9b\x14\x0c\x10\x3a\0\0\0\x01\xc0\x9b\x18\x0c\x11\
\x3a\0\0\0\x01\xc1\x9b\x1c\x0c\x12\x3a\0\0\0\x01\xc2\x9b\x20\x0c\x13\x3a\0\0\0\
\x01\xc3\x9b\x24\x0c\x14\x3a\0\0\0\x01\xc4\x9b\x28\x0c\x15\x3a\0\0\0\x01\xc5\
\x9b\x2c\x0c\x16\xec\x01\0\0\x01\xc6\x9b\x30\x0c\x18\x3a\0\0\0\x01\xc7\x9b\x44\
\x0c\x19\x3a\0\0\0\x01\xc8\x9b\x48\x0c\x1a\x3a\0\0\0\x01\xc9\x9b\x4c\x0c\x1b\
\x3a\0\0\0\x01\xca\x9b\x50\x0c\x1c\x3a\0\0\0\x01\xcb\x9b\x54\x0c\x1d\x3a\0\0\0\
\x01\xcc\x9b\x58\x0c\x1e\x3a\0\0\0\x01\xcd\x9b\x5c\x0c\x1f\x3a\0\0\0\x01\xce\
\x9b\x60\x0c\x20\xfc\x01\0\0\x01\xcf\x9b\x64\x0c\x21\xfc\x01\0\0\x01\xd0\x9b\
\x74\x0c\x22\x3a\0\0\0\x01\xd1\x9b\x84\x0c\x23\x3a\0\0\0\x01\xd2\x9b\x88\x0c\
\x24\x3a\0\0\0\x01\xd3\x9b\x8c\x0d\x86\x01\0\0\x01\xd4\x9b\x90\x0e\x08\x01\xd4\
\x9b\x0c\x25\x08\x02\0\0\x01\xd5\x9b\0\0\x0c\x3d\x0d\x03\0\0\x01\xd7\x9b\x98\
\x0c\x40\x3a\0\0\0\x01\xd8\x9b\xa0\x0c\x41\x3a\0\0\0\x01\xd9\x9b\xa4\x0d\xbd\
\x01\0\0\x01\xda\x9b\xa8\x0e\x08\x01\xda\x9b\x0c\x42\x1a\x03\0\0\x01\xdb\x9b\0\
\0\x0c\x4f\x3a\0\0\0\x01\xdd\x9b\xb0\x0c\x50\xee\x02\0\0\x01\xde\x9b\xb4\x0c\
\x51\x0d\x03\0\0\x01\xdf\x9b\xb8\0\x0f\x3a\0\0\0\x10\xf8\x01\0\0\x05\0\x11\x17\
\x08\x07\x0f\x3a\0\0\0\x10\xf8\x01\0\0\x04\0\x04\x0d\x02\0\0\x0b\x3c\x38\x01\
\xa6\xd4\x0c\x26\xe1\x02\0\0\x01\xa7\xd4\0\x0c\x29\xe1\x02\0\0\x01\xa8\xd4\x02\
\x0c\x2a\xe1\x02\0\0\x01\xa9\xd4\x04\x0c\x2b\xee\x02\0\0\x01\xaa\xd4\x06\x0c\
\x2e\xee\x02\0\0\x01\xab\xd4\x07\x0c\x2f\xee\x02\0\0\x01\xac\xd4\x08\x0c\x30\
\xee\x02\0\0\x01\xad\xd4\x09\x0c\x31\xfb\x02\0\0\x01\xae\xd4\x0a\x0c\x33\xfb\
\x02\0\0\x01\xaf\xd4\x0c\x0c\x34\xfb\x02\0\0\x01\xb0\xd4\x0e\x0d\x80\x02\0\0\
\x01\xb1\xd4\x10\x0e\x20\x01\xb1\xd4\x0d\x8e\x02\0\0\x01\xb2\xd4\0\x12\x08\x01\
\xb2\xd4\x0c\x35\x04\x03\0\0\x01\xb3\xd4\0\x0c\x37\x04\x03\0\0\x01\xb4\xd4\x04\
\0\x0d\xb1\x02\0\0\x01\xb6\xd4\0\x12\x20\x01\xb6\xd4\x0c\x38\xfc\x01\0\0\x01\
\xb7\xd4\0\x0c\x39\xfc\x01\0\0\x01\xb8\xd4\x10\0\0\x0c\x3a\x3a\0\0\0\x01\xbb\
\xd4\x30\x0c\x3b\x04\x03\0\0\x01\xbc\xd4\x34\0\x06\xea\x02\0\0\x28\x01\xf6\x8e\
\x07\x27\x07\x02\x06\xf7\x02\0\0\x2d\x01\x5e\x8f\x07\x2c\x08\x01\x06\xe1\x02\0\
\0\x32\x01\x06\x8f\x06\x3a\0\0\0\x36\x01\xa8\x8f\x06\x16\x03\0\0\x3f\x01\x44\
\x8e\x07\x3e\x07\x08\x04\x1f\x03\0\0\x0b\x4e\x50\x01\x7e\xd2\x0c\x43\x3a\0\0\0\
\x01\x7f\xd2\0\x0c\x1d\x3a\0\0\0\x01\x80\xd2\x04\x0c\x44\x3a\0\0\0\x01\x81\xd2\
\x08\x0c\x0e\x3a\0\0\0\x01\x82\xd2\x0c\x0c\x0c\x3a\0\0\0\x01\x83\xd2\x10\x0c\
\x12\x3a\0\0\0\x01\x84\xd2\x14\x0c\x45\x3a\0\0\0\x01\x85\xd2\x18\x0c\x46\xfc\
\x01\0\0\x01\x86\xd2\x1c\x0c\x47\x3a\0\0\0\x01\x87\xd2\x2c\x0c\x48\xfb\x02\0\0\
\x01\x88\xd2\x30\x0c\x49\x3a\0\0\0\x01\x89\xd2\x34\x0c\x4a\xfc\x01\0\0\x01\x8a\
\xd2\x38\x0c\x4b\x3a\0\0\0\x01\x8b\xd2\x48\x0c\x4c\xb2\x03\0\0\x01\x8c\xd2\x4c\
\0\x06\x52\0\0\0\x4d\x01\xca\x8d\0\x50\x01\0\0\x05\0\0\0\0\0\0\0\x2c\0\0\0\x47\
\0\0\0\x6d\0\0\0\x81\0\0\0\x8e\0\0\0\x94\0\0\0\xa6\0\0\0\xaa\0\0\0\xb8\0\0\0\
\xbc\0\0\0\xc0\0\0\0\xc9\0\0\0\xce\0\0\0\xdc\0\0\0\xe5\0\0\0\xf2\0\0\0\xfb\0\0\
\0\x06\x01\0\0\x0f\x01\0\0\x1f\x01\0\0\x27\x01\0\0\x30\x01\0\0\x33\x01\0\0\x47\
\x01\0\0\x4c\x01\0\0\x57\x01\0\0\x5c\x01\0\0\x65\x01\0\0\x6d\x01\0\0\x74\x01\0\
\0\x7f\x01\0\0\x89\x01\0\0\x94\x01\0\0\x9e\x01\0\0\xaa\x01\0\0\xb5\x01\0\0\xbf\
\x01\0\0\xc9\x01\0\0\xcf\x01\0\0\xde\x01\0\0\xe4\x01\0\0\xea\x01\0\0\xf5\x01\0\
\0\xfd\x01\0\0\x0b\x02\0\0\x10\x02\0\0\x1e\x02\0\0\x27\x02\0\0\x30\x02\0\0\x38\
\x02\0\0\x3f\x02\0\0\x45\x02\0\0\x4b\x02\0\0\x54\x02\0\0\x5b\x02\0\0\x64\x02\0\
\0\x6d\x02\0\0\x76\x02\0\0\x7c\x02\0\0\x87\x02\0\0\x95\x02\0\0\x9c\x02\0\0\xaf\
\x02\0\0\xb5\x02\0\0\xbe\x02\0\0\xc7\x02\0\0\xca\x02\0\0\xd7\x02\0\0\xdc\x02\0\
\0\xe4\x02\0\0\xec\x02\0\0\xf5\x02\0\0\xfe\x02\0\0\x06\x03\0\0\x0e\x03\0\0\x14\
\x03\0\0\x25\x03\0\0\x2b\x03\0\0\x34\x03\0\0\x3d\x03\0\0\x49\x03\0\0\x52\x03\0\
\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x32\x30\x2e\x31\x2e\
\x32\x20\x28\x43\x65\x6e\x74\x4f\x53\x20\x32\x30\x2e\x31\x2e\x32\x2d\x31\x2e\
\x65\x6c\x31\x30\x29\0\x6d\x6f\x64\x75\x6c\x65\x73\x2f\x65\x62\x70\x66\x2f\x72\
\x61\x6e\x64\x6f\x6d\x2e\x6b\x65\x72\x6e\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x73\x79\x73\x6c\
\x6f\x67\x2d\x6e\x67\x2d\x34\x2e\x38\x2e\x32\0\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x70\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x5f\x5f\x75\x33\x32\0\x6e\x75\x6d\x62\x65\x72\x5f\x6f\x66\
\x5f\x73\x6f\x63\x6b\x65\x74\x73\0\x69\x6e\x74\0\x72\x61\x6e\x64\x6f\x6d\x5f\
\x63\x68\x6f\x69\x63\x65\0\x73\x6b\x62\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\
\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\
\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\
\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\
\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\
\x69\x6e\x64\x65\x78\0\x63\x62\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\
\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\
\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\
\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\
\x74\x61\x5f\x6d\x65\x74\x61\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x6e\x68\
\x6f\x66\x66\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x5f\
\x5f\x75\x31\x36\0\x74\x68\x6f\x66\x66\0\x61\x64\x64\x72\x5f\x70\x72\x6f\x74\
\x6f\0\x69\x73\x5f\x66\x72\x61\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\
\x68\x61\x72\0\x5f\x5f\x75\x38\0\x69\x73\x5f\x66\x69\x72\x73\x74\x5f\x66\x72\
\x61\x67\0\x69\x73\x5f\x65\x6e\x63\x61\x70\0\x69\x70\x5f\x70\x72\x6f\x74\x6f\0\
\x6e\x5f\x70\x72\x6f\x74\x6f\0\x5f\x5f\x62\x65\x31\x36\0\x73\x70\x6f\x72\x74\0\
\x64\x70\x6f\x72\x74\0\x69\x70\x76\x34\x5f\x73\x72\x63\0\x5f\x5f\x62\x65\x33\
\x32\0\x69\x70\x76\x34\x5f\x64\x73\x74\0\x69\x70\x76\x36\x5f\x73\x72\x63\0\x69\
\x70\x76\x36\x5f\x64\x73\x74\0\x66\x6c\x61\x67\x73\0\x66\x6c\x6f\x77\x5f\x6c\
\x61\x62\x65\x6c\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x74\
\x73\x74\x61\x6d\x70\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x36\x34\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\
\x73\x6f\x5f\x73\x65\x67\x73\0\x73\x6b\0\x62\x6f\x75\x6e\x64\x5f\x64\x65\x76\
\x5f\x69\x66\0\x74\x79\x70\x65\0\x73\x72\x63\x5f\x69\x70\x34\0\x73\x72\x63\x5f\
\x69\x70\x36\0\x73\x72\x63\x5f\x70\x6f\x72\x74\0\x64\x73\x74\x5f\x70\x6f\x72\
\x74\0\x64\x73\x74\x5f\x69\x70\x34\0\x64\x73\x74\x5f\x69\x70\x36\0\x73\x74\x61\
\x74\x65\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\
\x5f\x5f\x73\x33\x32\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x67\x73\x6f\x5f\x73\
\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\
\x74\x61\x6d\x70\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x14\0\0\0\x05\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xfc\x02\
\0\0\xfc\x02\0\0\x9a\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x22\0\0\x04\
\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\
\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\
\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\
\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\
\x6e\0\0\0\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\
\0\0\0\x80\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\x02\
\0\0\x92\0\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\
\x03\0\0\0\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\
\x02\0\0\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\
\0\x07\0\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\
\x40\x04\0\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\
\0\0\0\x0a\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\
\0\0\x20\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\x05\0\
\0\x1c\x01\0\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\x0a\0\0\0\xc0\x05\0\0\x31\x01\
\0\0\0\0\0\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\x44\x01\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\
\0\0\x05\x08\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x15\0\0\0\
\x62\x01\0\0\0\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\
\0\0\x01\0\0\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x16\
\0\0\0\x7e\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\
\0\0\0\0\0\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\0\0\0\x95\x01\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\0\0\0\x6c\x02\0\0\0\0\0\x0e\
\x11\0\0\0\x01\0\0\0\x7e\x02\0\0\x01\0\0\x0f\0\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\
\0\x83\x02\0\0\0\0\0\x07\0\0\0\0\x91\x02\0\0\0\0\0\x07\0\0\0\0\0\x5f\x5f\x73\
\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\
\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\
\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\
\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\
\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\
\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\
\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\
\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\
\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\
\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\
\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\
\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\
\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\
\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\
\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x69\x6e\x74\0\x72\
\x61\x6e\x64\x6f\x6d\x5f\x63\x68\x6f\x69\x63\x65\0\x73\x6f\x63\x6b\x65\x74\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x73\x79\x73\x6c\x6f\x67\x2d\x6e\x67\x2d\x34\x2e\x38\x2e\x32\x2f\
\x6d\x6f\x64\x75\x6c\x65\x73\x2f\x65\x62\x70\x66\x2f\x72\x61\x6e\x64\x6f\x6d\
\x2e\x6b\x65\x72\x6e\x2e\x63\0\x69\x6e\x74\x20\x72\x61\x6e\x64\x6f\x6d\x5f\x63\
\x68\x6f\x69\x63\x65\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\
\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x20\x20\x69\x66\x20\x28\x6e\x75\x6d\x62\
\x65\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\x65\x74\x73\x20\x3d\x3d\x20\x30\x29\0\
\x20\x20\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x70\x72\
\x61\x6e\x64\x6f\x6d\x5f\x75\x33\x32\x28\x29\x20\x25\x20\x6e\x75\x6d\x62\x65\
\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\x65\x74\x73\x3b\0\x7d\0\x6e\x75\x6d\x62\
\x65\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\x65\x74\x73\0\x2e\x62\x73\x73\0\x62\
\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\
\x6b\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x7c\0\0\0\x90\0\
\0\0\0\0\0\0\x08\0\0\0\xa7\x01\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\xa7\
\x01\0\0\x07\0\0\0\0\0\0\0\xae\x01\0\0\xef\x01\0\0\0\x74\0\0\x08\0\0\0\xae\x01\
\0\0\x18\x02\0\0\x07\x7c\0\0\x20\0\0\0\xae\x01\0\0\x18\x02\0\0\x19\x7c\0\0\x28\
\0\0\0\xae\x01\0\0\x36\x02\0\0\x0a\x88\0\0\x30\0\0\0\xae\x01\0\0\x36\x02\0\0\
\x22\x88\0\0\x38\0\0\0\xae\x01\0\0\x36\x02\0\0\x20\x88\0\0\x40\0\0\0\xae\x01\0\
\0\x6a\x02\0\0\x01\x8c\0\0\0\0\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\
\x7c\x0b\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x9d\0\0\0\x05\0\
\x08\0\x69\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\
\x01\x01\x1f\x03\0\0\0\0\x26\0\0\0\x33\0\0\0\x03\x01\x1f\x02\x0f\x05\x1e\x03\
\x44\0\0\0\0\x2b\x1e\x99\x82\x82\x2b\x32\x95\xcd\x43\x93\xa3\x13\x1e\x5b\x8d\
\x5f\0\0\0\x01\x1f\x7a\x40\xe1\xc1\xcc\xe0\xa4\x74\x2b\xe1\xee\x6b\x10\xa5\x30\
\x69\0\0\0\x02\x6b\x1f\x4f\x13\xb9\x8b\x82\xe7\x06\x8b\xc2\x9f\x12\x28\xb3\xfe\
\x04\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1d\x01\x05\x07\x0a\x21\x05\x19\x06\x3c\
\x05\x0a\x06\x23\x05\x22\x06\x20\x05\x20\x20\x05\x01\x06\x21\x02\x01\0\x01\x01\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x73\x79\x73\x6c\x6f\x67\x2d\x6e\x67\x2d\x34\x2e\x38\x2e\x32\0\x6d\
\x6f\x64\x75\x6c\x65\x73\x2f\x65\x62\x70\x66\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\
\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x6d\x6f\x64\x75\x6c\x65\x73\x2f\x65\x62\x70\
\x66\x2f\x72\x61\x6e\x64\x6f\x6d\x2e\x6b\x65\x72\x6e\x2e\x63\0\x76\x6d\x6c\x69\
\x6e\x75\x78\x2e\x68\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\
\x73\x2e\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd3\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0b\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x14\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc5\
\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x44\0\0\0\x11\0\x05\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x08\0\0\0\
\0\0\0\0\x03\0\0\0\x03\0\0\0\x11\0\0\0\0\0\0\0\x03\0\0\0\x04\0\0\0\x15\0\0\0\0\
\0\0\0\x03\0\0\0\x08\0\0\0\x1f\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x08\0\0\0\0\0\
\0\0\x03\0\0\0\x05\0\0\0\x0c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x10\0\0\0\0\0\0\
\0\x03\0\0\0\x05\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x18\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x1c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x20\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x24\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x28\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x2c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x30\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x34\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x38\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x3c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x40\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x44\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x48\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x4c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x50\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x54\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x58\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x5c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x60\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x64\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x68\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x6c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x70\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x74\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x78\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x7c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x80\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x84\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x88\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x8c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x90\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x94\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x98\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x9c\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xa0\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xa4\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xa8\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xac\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xb0\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xb4\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xb8\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xbc\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xc0\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xc4\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xc8\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xcc\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xd0\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xd4\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xd8\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xdc\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xe0\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xe4\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xe8\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xec\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xf0\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xf4\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\xf8\0\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\xfc\0\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\0\x01\0\0\0\0\0\0\
\x03\0\0\0\x05\0\0\0\x04\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x08\x01\0\0\0\0\0\
\0\x03\0\0\0\x05\0\0\0\x0c\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x10\x01\0\0\0\0\
\0\0\x03\0\0\0\x05\0\0\0\x14\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x18\x01\0\0\0\
\0\0\0\x03\0\0\0\x05\0\0\0\x1c\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x20\x01\0\0\
\0\0\0\0\x03\0\0\0\x05\0\0\0\x24\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x28\x01\0\
\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x2c\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x30\x01\
\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x34\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x38\
\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x3c\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\
\x40\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x44\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\
\0\x48\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x4c\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\
\0\0\x50\x01\0\0\0\0\0\0\x03\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\0\x0b\0\
\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\xf4\x02\0\0\0\0\0\0\x04\0\0\0\x0b\0\
\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\
\0\x50\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\
\x70\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\
\x90\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\
\x14\0\0\0\0\0\0\0\x03\0\0\0\x07\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\
\x22\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\x26\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\
\x2a\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\x36\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\
\x4b\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\x60\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\
\x7a\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x0a\0\x2e\x64\x65\x62\x75\x67\x5f\x61\
\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\x72\x65\x6c\
\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\x5f\x6f\x66\x66\x73\x65\x74\x73\0\x6e\
\x75\x6d\x62\x65\x72\x5f\x6f\x66\x5f\x73\x6f\x63\x6b\x65\x74\x73\0\x2e\x62\x73\
\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\x74\x72\0\x2e\x64\x65\x62\x75\x67\x5f\
\x6c\x69\x6e\x65\x5f\x73\x74\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\
\x61\x64\x64\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\
\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x2e\x72\x65\x6c\x2e\
\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\
\x67\x5f\x66\x72\x61\x6d\x65\0\x72\x61\x6e\x64\x6f\x6d\x5f\x63\x68\x6f\x69\x63\
\x65\0\x72\x61\x6e\x64\x6f\x6d\x2e\x6b\x65\x72\x6e\x2e\x63\0\x2e\x73\x74\x72\
\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe1\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\x19\0\0\0\0\0\0\xfa\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x22\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x12\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x18\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x56\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xe5\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8a\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x6d\x01\0\0\0\0\0\0\xbc\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x86\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xd0\x12\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\0\0\0\x07\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x29\x05\0\0\0\0\0\0\x54\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x2d\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x13\0\0\
\0\0\0\0\x30\x05\0\0\0\0\0\0\x18\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x5b\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\x06\0\0\0\0\0\
\0\x5c\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x7a\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd9\x09\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x18\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x18\0\
\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf5\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xf4\x09\0\0\0\0\0\0\xae\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf1\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x60\x18\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x18\0\0\0\x0e\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xa4\x0f\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x18\0\0\
\0\0\0\0\x80\0\0\0\0\0\0\0\x18\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\xb8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x10\0\0\0\0\0\0\
\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\0\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x18\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x18\0\0\0\x12\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa8\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x10\0\0\0\0\0\0\xa1\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\x19\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x18\0\0\0\x14\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x66\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x21\x11\0\0\0\0\0\0\x7b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x96\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\
\0\0\0\x80\x19\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xe9\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x11\
\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct random_kern *random_kern::open(const struct bpf_object_open_opts *opts) { return random_kern__open_opts(opts); }
struct random_kern *random_kern::open_and_load() { return random_kern__open_and_load(); }
int random_kern::load(struct random_kern *skel) { return random_kern__load(skel); }
int random_kern::attach(struct random_kern *skel) { return random_kern__attach(skel); }
void random_kern::detach(struct random_kern *skel) { random_kern__detach(skel); }
void random_kern::destroy(struct random_kern *skel) { random_kern__destroy(skel); }
const void *random_kern::elf_bytes(size_t *sz) { return random_kern__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
random_kern__assert(struct random_kern *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->number_of_sockets) == 4, "unexpected size of 'number_of_sockets'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __RANDOM_KERN_SKEL_H__ */
